/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICache } from "@fluidframework/server-services-core";
import { IRedisParameters, IRedisClientConnectionManager } from "@fluidframework/server-services-utils";
/**
 * Redis based cache redisClientConnectionManager.getRedisClient()
 * @internal
 */
export declare class RedisCache implements ICache {
    private readonly redisClientConnectionManager;
    private readonly expireAfterSeconds;
    private readonly prefix;
    constructor(redisClientConnectionManager: IRedisClientConnectionManager, parameters?: IRedisParameters);
    delete(key: string): Promise<boolean>;
    get(key: string): Promise<string>;
    set(key: string, value: string, expireAfterSeconds?: number): Promise<void>;
    incr(key: string): Promise<number>;
    decr(key: string): Promise<number>;
    /**
     * Translates the input key to the one we will actually store in redis
     */
    private getKey;
}
//# sourceMappingURL=redis.d.ts.map